Liveness (JProfiler API)
Keywords: com.jprofiler.api.platform.parameters.Liveness class

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.jprofiler.api.platform.parameters
Enum Liveness

    java.lang.Object
      java.lang.Enum<Liveness>
          com.jprofiler.api.platform.parameters.Liveness

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Liveness>

    public enum Liveness

extends java.lang.Enum<Liveness>

Represents all supported liveness types.

These constants are used as parameters in various `Connection` methods.

Enum Constant Summary
`ALL` Live and garbage collected objects.
`GCED` Garbage collected objects only.
`LIVE` Live objects only.

Method Summary
`java.lang.String` | `getName()` Returns a verbose description of the liveness type.
`java.lang.String` | `toString()`
`static Liveness` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Liveness[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LIVE

    public static final Liveness LIVE

  Live objects only.

### GCED

    public static final Liveness GCED

  Garbage collected objects only.

### ALL

    public static final Liveness ALL

  Live and garbage collected objects.

Method Detail

### values

    public static final Liveness[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Liveness c : Liveness.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Liveness valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getName

    public java.lang.String getName()

  Returns a verbose description of the liveness type.

  Returns:
    the verbose description

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<Liveness>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD